program altppa;


%include lb:[22,320]general3.typ;
%include de:[22,320]altppa.ext;
%include lb:[22,320]catr56.ext;

var
  task		: ch6;
  task_rad	: rad56;
  priority	: integer;
  another	: ch2;

begin
  repeat
    write('Task name:');
    readln(task);
    catr56(task,task_rad);
    write('Priority:');
    readln(priority);
    altppa(task_rad,priority);
    writeln('$DSW:',$dsw);
    write('Another Y or N:');
    readln(another);
  until (another[1] = 'n') or (another[1] = 'N');
end.
